---
lang: en
title: 'API docs: logging.loggingcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.loggingcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md) &gt; [LoggingComponent](./logging.loggingcomponent.md)

## LoggingComponent class

A component providing logging facilities

**Signature:**

```typescript
export declare class LoggingComponent implements Component 
```
**Implements:** [Component](./core.component.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(loggingConfig)](./logging.loggingcomponent._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `LoggingComponent` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[bindings](./logging.loggingcomponent.bindings.md)


</td><td>


</td><td>

[Binding](./context.binding.md)<!-- -->&lt;unknown&gt;\[\]


</td><td>


</td></tr>
<tr><td>

[providers](./logging.loggingcomponent.providers.md)


</td><td>


</td><td>

[ProviderMap](./core.providermap.md)


</td><td>


</td></tr>
</tbody></table>


